
/*  https://www.w3schools.com/cssref/css_selectors.asp */


body {
  background-color: #7Ef07E;
  margin-top: 20px;
  font-style: normal;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 14px;
}


table {
      table-layout: fixed;
      margin-left: auto;
      margin-right: auto;
      border-collapse: collapse;
}


.dateControlClass {
     border: 0px solid #999;
     text-align: center;
     padding: 8px;
}



td, th {
  border: 0px solid #999;
  padding: 0.5px;
  vertical-align: middle;
  text-align: left;
}

.button {
  background-color: #4CAF50; 
  border: none;
  color: white;
  padding: 7px 9px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
}
/*  ------------ buttonSave ------------------ */

.buttonSave {
  font-size: 12px;
  background-color: white;
  color: #00ff00;
  border: 2px solid #4CAF50;
  padding: 3px 6px;
  border-radius: 5px;
  margin: 4px 2px;
}

.buttonSave {
  transition-duration: 0.4s;
}

.buttonSave:hover {background-color: #ff8800;}


/*  ------------buttonCopy------------------ */

.buttonCopy {
  font-size: 9px;
  background-color: white;
  color: #0000ff;
  border: 2px solid #4CAF50;
  padding: 2px 5px;
  border-radius: 5px;
  margin: 4px 2px;
}

.buttonCopy {
  transition-duration: 0.4s;
}

.buttonCopy:hover {background-color: #ff8800;}

/*  ------------buttonPaste------------------ */

.buttonPaste {
  font-size: 9px;
  background-color: white;
  color: #ff00ff;
  border: 2px solid #4CAF50;
  padding: 2px 5px;
  border-radius: 5px;
  margin: 4px 2px;
}

.buttonPaste {
  transition-duration: 0.4s;
}

.buttonPaste:hover {background-color: #ff8800;}

/*  ------------buttonDelete------------------ */

.buttonDelete {
  font-size: 9px;
  background-color: white;
  color: #ff0000;
  border: 2px solid #4CAF50;
  padding: 2px 5px;
  border-radius: 5px;
  margin: 4px 2px;
}

.buttonDelete {
  transition-duration: 0.4s;
}

.buttonDelete:hover {background-color: #ff8800;}



input[type=text] {
  width: 100%;
  padding: 1px 1px;
  margin: 1px 0;
  box-sizing: border-box;
  
}

input[type=text].short {
  width: 40%;
  text-align: center;
  padding: 1px 1px;
  margin: 1px 0;
 }   

